Subject: bug#1407: closed by Glenn Morris <[email-masked]> (Re: bug#1407: end keyword bug)

From: "Daniel Elliott" <[email-masked]>
Date: Wed, 10 Dec 2008 10:12:34 -0600

I would say that this is definately not fixed.  Now the octave mode no
longer considers end to be a valid keyword to end blocks like if,
while, for, etc.  Octave mode should allow end to close these things
in the same way that it uses endif, endwhile, and endfor respectively.

Thanks.

- dan

On Mon, Nov 24, 2008 at 1:55 AM, Emacs bug Tracking System
<[email-masked]> wrote:
>
> This is an automatic notification regarding your bug report
> which was filed against the emacs,octave package:
>
> #1407: end keyword bug
>
> It has been closed by Glenn Morris <[email-masked]>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Glenn Morris <[email-masked]> by
> replying to this email.
>
>
> --
> 1407: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1407
> Emacs Bug Tracking System
> Contact [email-masked] with problems
>
>
> ---------- Forwarded message ----------
> From: Glenn Morris <[email-masked]>
> To: Juanma Barranquero <[email-masked]>
> Date: Mon, 24 Nov 2008 02:45:00 -0500
> Subject: Re: bug#1407: end keyword bug
> "Juanma Barranquero" wrote:
>
>> Does this problem still happen with the latest Emacs code from the
>> CVS? Apparently it was fixed some time ago.
>
> My mistake; I forwarded what I thought was an old unanswered bug, but
> you are right, it is fixed. (I was thinking it was about font-lock
> rather than indentation.)
>
>
>
> ---------- Forwarded message ----------
> From: "Daniel Elliott" <[email-masked]>
> To: [email-masked]
> Date: Fri, 26 Oct 2007 02:35:06 +0000
> Subject: end keyword bug
> Package: emacs,octave
>
> [ resent from
>  http://lists.gnu.org/archive/html/bug-gnu-emacs/2007-10/msg00166.html ]
>
> Hello,
>
> Thank you for your work on the emacs octave-mode!
>
> Has the incorrect indentation when the end keyword is used as an array
> index been fixed?  Currently, any use of end other than to close a
> loop or conditional block confuses the indentation of octave-mode.
>
> Example:
>
> for c=1:C
>    Lambda(lastGood_Lambda(c)+1:end,c) = sigma;D_c(c) = M;
>  endfor
>
> The octave-mode thinks that the end used as an array index is the end
> for the for loop.
>
> If this has been fixed, where should I download the latest, fixed,
> stable version?
>
> Thank you,
>
> dan elliott
>
>
>
>